# Class default

#### Hierarchy (view full)

- default
  - FixedBattle

- Defined in src/battle.ts:43

#####
Index

### Constructors

constructor

### Properties

battleScore
battleSeed
battleSeedState
battleSpec
battleType
double
enemyFaints
enemyLevels
enemyParty
enemySwitchCounter
escapeAttempts
gameMode
lastMove
lastUsedPokeball
moneyScattered
playerFaints
playerParticipantIds
postBattleLoot
rngCounter
seenEnemyPartyMemberIds
started
trainer
turn
turnCommands
waveIndex

### Methods

addBattleScore
addParticipant
addPostBattleLoot
getBattlerCount
getBgmOverride
getLevelForWave
incrementTurn
initBattleSpec
pickUpScatteredMoney
randSeedGaussForLevel
randSeedInt
removeFaintedParticipant

## Constructors

### constructor

- new default(gameMode, waveIndex, battleType, trainer, double): default

- #### Parameters

  - gameMode: GameMode
  - waveIndex: number
  - battleType: BattleType
  - trainer: default
  - double: boolean

  #### Returns default

  - Defined in src/battle.ts:71

## Properties

### battleScore

battleScore: number

- Defined in src/battle.ts:58

### battleSeed

battleSeed: string

- Defined in src/battle.ts:62

### `Private` battleSeedState

battleSeedState: string

- Defined in src/battle.ts:63

### battleSpec

battleSpec: BattleSpec

- Defined in src/battle.ts:47

### battleType

battleType: BattleType

- Defined in src/battle.ts:46

### double

double: boolean

- Defined in src/battle.ts:52

### enemyFaints

enemyFaints: number

- Defined in src/battle.ts:67

### enemyLevels

enemyLevels: number[]

- Defined in src/battle.ts:49

### enemyParty

enemyParty: EnemyPokemon []

- Defined in src/battle.ts:50

### enemySwitchCounter

enemySwitchCounter: number

- Defined in src/battle.ts:54

### escapeAttempts

escapeAttempts: number

- Defined in src/battle.ts:60

### `Protected` gameMode

gameMode: GameMode

- Defined in src/battle.ts:44

### lastMove

lastMove: Moves

- Defined in src/battle.ts:61

### lastUsedPokeball

lastUsedPokeball: PokeballType

- Defined in src/battle.ts:65

### moneyScattered

moneyScattered: number

- Defined in src/battle.ts:64

### playerFaints

playerFaints: number

- Defined in src/battle.ts:66

### playerParticipantIds

playerParticipantIds: Set<number>

- Defined in src/battle.ts:57

### postBattleLoot

postBattleLoot: PokemonHeldItemModifier []

- Defined in src/battle.ts:59

### `Private` rngCounter

rngCounter: number = 0

- Defined in src/battle.ts:69

### seenEnemyPartyMemberIds

seenEnemyPartyMemberIds: Set<number>

- Defined in src/battle.ts:51

### started

started: boolean

- Defined in src/battle.ts:53

### trainer

trainer: default

- Defined in src/battle.ts:48

### turn

turn: number

- Defined in src/battle.ts:55

### turnCommands

turnCommands: TurnCommands

- Defined in src/battle.ts:56

### waveIndex

waveIndex: number

- Defined in src/battle.ts:45

## Methods

### addBattleScore

- addBattleScore(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/battle.ts:176

### addParticipant

- addParticipant(playerPokemon): void

- #### Parameters

  - playerPokemon: PlayerPokemon

  #### Returns void

  - Defined in src/battle.ts:149

### addPostBattleLoot

- addPostBattleLoot(enemyPokemon): void

- #### Parameters

  - enemyPokemon: EnemyPokemon

  #### Returns void

  - Defined in src/battle.ts:157

### getBattlerCount

- getBattlerCount(): number

- #### Returns number

  - Defined in src/battle.ts:139

### getBgmOverride

- getBgmOverride(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  - Defined in src/battle.ts:194

### `Private` getLevelForWave

- getLevelForWave(): number

- #### Returns number

  - Defined in src/battle.ts:106

### incrementTurn

- incrementTurn(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/battle.ts:143

### `Private` initBattleSpec

- initBattleSpec(): void

- #### Returns void

  - Defined in src/battle.ts:98

### pickUpScatteredMoney

- pickUpScatteredMoney(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/battle.ts:165

### randSeedGaussForLevel

- randSeedGaussForLevel(value): number

- #### Parameters

  - value: number

  #### Returns number

  - Defined in src/battle.ts:131

### randSeedInt

- randSeedInt(scene, range, min?): number

- #### Parameters

  - scene: default
  - range: number
  - min: number = 0

  #### Returns number

  - Defined in src/battle.ts:332

### removeFaintedParticipant

- removeFaintedParticipant(playerPokemon): void

- #### Parameters

  - playerPokemon: PlayerPokemon

  #### Returns void

  - Defined in src/battle.ts:153